<template>
    <lightning-card
        title="Step 1: Provider Search"
        icon-name="standard:search"
    >
        <div class="slds-var-m-around_medium" oncontactselect={handleContactSelect}
        >
            <lightning-input
                type="search"
                onchange={handleKeyChange}
                class="slds-show slds-is-relative slds-var-m-bottom_small"
                label="Search"
            ></lightning-input>
            <template if:true={contacts}>
                <lightning-layout multiple-rows="true" >
                <template for:each={contacts} for:item="contact">
                        <lightning-layout-item size="3" key={contact.Id}>
                            <c-contact-tile
                        data-id={contact.Id}
                        class="slds-show slds-is-relative"
                        key={contact.Id}
                        contact={contact}
                    ></c-contact-tile>
                        </lightning-layout-item>
                </template>
            </lightning-layout>
            </template>
            <template if:true={noRecords}>
                <p class="slds-var-m-left_small">No providers found.</p>
            </template>
        </div>
        <template if:true={error}>
            <c-error-panel
                friendly-message={msgForUser}
                errors={error}
            ></c-error-panel>
        </template>
    </lightning-card>
</template>